{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZCUSTOMER"
  },
  "caption" : "客户",
  "codeName" : "IBIZCustomerPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomerPickupView.json",
  "funcViewMode" : "PICKUPVIEW",
  "name" : "IBIZCustomerPickupView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "pickupviewpanel",
      "name" : "PICKUPVIEWPANEL",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "PickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.IBIZCUSTOMER"
      },
      "caption" : "客户",
      "codeName" : "IBIZCustomerPickupGridView",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomerPickupGridView.json",
      "gridRowActiveMode" : 2,
      "name" : "IBIZCustomerPickupGridView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
      },
      "getPSAppViewEngines" : [ {
        "engineCat" : "VIEW",
        "engineType" : "PickupGridView",
        "name" : "engine",
        "getPSUIEngineParams" : [ {
          "ctrlName" : "grid",
          "name" : "GRID",
          "paramType" : "CTRL"
        }, {
          "ctrlName" : "searchform",
          "name" : "SEARCHFORM",
          "paramType" : "CTRL"
        } ]
      } ],
      "getPSControls" : [ {
        "aggMode" : "NONE",
        "codeName" : "Main",
        "columnEnableLink" : 2,
        "controlType" : "GRID",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer/PSGRIDS/Main.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch"
        },
        "groupMode" : "NONE",
        "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "LOAD", "BEFORELOAD" ],
        "logicName" : "主表格",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          }, {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "数据表格处理器"
        },
        "getPSControlLogics" : [ {
          "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;LOAD;BEFORELOAD",
          "logicTag" : "grid",
          "logicType" : "APPVIEWENGINE",
          "name" : "engine_grid",
          "getPSAppViewEngine" : {
            "modelref" : true,
            "id" : "engine"
          }
        } ],
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "GRID"
        },
        "getPSDEGridColumns" : [ {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CUSTOMERUID"
          },
          "caption" : "客户编号",
          "codeName" : "customeruid",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "customeruid",
          "excelCaption" : "客户编号",
          "name" : "customeruid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CUSTOMERUID",
            "codeName" : "CustomerUID"
          },
          "width" : 150,
          "widthUnit" : "px",
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZCUSTOMERNAME"
          },
          "caption" : "客户名称",
          "codeName" : "IBIZcustomername",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "ibizcustomername",
          "excelCaption" : "客户名称",
          "name" : "IBIZcustomername",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERNAME",
            "codeName" : "IBIZCustomerName"
          },
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.ADDRESS"
          },
          "caption" : "公司地址",
          "codeName" : "address",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "address",
          "excelCaption" : "公司地址",
          "name" : "address",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ADDRESS",
            "codeName" : "Address"
          },
          "width" : 1,
          "widthUnit" : "STAR",
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "FRONT",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN"
          },
          "caption" : "更新人",
          "codeName" : "updateman",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "updateman",
          "excelCaption" : "更新人",
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        }, {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE"
          },
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "updatedate",
          "excelCaption" : "更新时间",
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        } ],
        "getPSDEGridDataItems" : [ {
          "dataType" : 25,
          "name" : "customeruid",
          "getPSAppDEField" : {
            "name" : "CUSTOMERUID",
            "codeName" : "CustomerUID"
          }
        }, {
          "dataType" : 25,
          "name" : "ibizcustomername",
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERNAME",
            "codeName" : "IBIZCustomerName"
          }
        }, {
          "dataType" : 25,
          "name" : "address",
          "getPSAppDEField" : {
            "name" : "ADDRESS",
            "codeName" : "Address"
          }
        }, {
          "dataType" : 25,
          "name" : "updateman",
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          }
        }, {
          "format" : "YYYY-MM-DD HH:mm:ss",
          "dataType" : 5,
          "name" : "updatedate",
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          }
        }, {
          "dataType" : 25,
          "name" : "ibizcustomerid",
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERID",
            "codeName" : "IBIZCustomerId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERID",
            "codeName" : "IBIZCustomerId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfdataaccaction",
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERID",
            "codeName" : "IBIZCustomerId"
          },
          "dataAccessAction" : true
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERNAME",
            "codeName" : "IBIZCustomerName"
          }
        } ],
        "getPSDEGridEditItems" : [ {
          "caption" : "客户标识",
          "codeName" : "srfkey",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERID",
            "codeName" : "IBIZCustomerId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "srfkey"
          },
          "allowEmpty" : true
        } ],
        "pagingSize" : 10,
        "getRemovePSControlAction" : {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
          }
        },
        "sortMode" : "REMOTE",
        "hasWFDataItems" : false,
        "enableColFilter" : false,
        "enableCustomized" : true,
        "enableGroup" : false,
        "enablePagingBar" : true,
        "enableRowEdit" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "forceFit" : false,
        "hideHeader" : false,
        "noSort" : false,
        "singleSelect" : false,
        "name" : "grid",
        "modelid" : "ef9df2b8e7b310779a055c59058693c4",
        "modeltype" : "PSDEGRID"
      }, {
        "codeName" : "Default",
        "controlType" : "SEARCHFORM",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer/PSSEARCHFORMS/Default.json",
        "hookEventNames" : [ "SEARCH", "LOAD", "SAVE" ],
        "logicName" : "默认搜索表单",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionType" : "FILTERACTION",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FilterGet"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          }, {
            "actionType" : "FILTERACTION",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FilterGetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          }, {
            "actionType" : "FILTERACTION",
            "name" : "search",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FilterSearch"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
            }
          } ],
          "enableDEFieldPrivilege" : false,
          "id" : "搜索表单处理器"
        },
        "getPSControlLogics" : [ {
          "eventNames" : "SEARCH;LOAD;SAVE",
          "logicTag" : "searchform",
          "logicType" : "APPVIEWENGINE",
          "name" : "engine_searchform",
          "getPSAppViewEngine" : {
            "modelref" : true,
            "id" : "engine"
          }
        } ],
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "SEARCHFORM"
        },
        "getPSDEFormItems" : [ {
          "id" : "n_ibizcustomername_like",
          "dataType" : 25,
          "getPSAppDEField" : {
            "name" : "IBIZCUSTOMERNAME",
            "codeName" : "IBIZCustomerName"
          }
        } ],
        "getPSDEFormPages" : [ {
          "caption" : "名称",
          "codeName" : "formpage1",
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMPAGE",
          "name" : "formpage1",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "CONTROL.DEFSFITEM.IBIZCUSTOMER.N_IBIZCUSTOMERNAME_LIKE"
            },
            "caption" : "客户名称(%)",
            "codeName" : "n_ibizcustomername_like",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "n_ibizcustomername_like",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "IBIZCUSTOMERNAME",
              "codeName" : "IBIZCustomerName"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "editorWidth" : 100.0,
              "name" : "n_ibizcustomername_like"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false
        } ],
        "getPSLayout" : {
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "searchButtonStyle" : "DEFAULT",
        "tabHeaderPos" : "TOP",
        "enableAdvanceSearch" : false,
        "enableAutoSearch" : false,
        "enableFilterSave" : false,
        "noTabHeader" : true,
        "name" : "searchform",
        "modelid" : "dfee83362a928c17898cbb7de0ca1c14",
        "modeltype" : "PSDEFORM_SEARCHFORM"
      } ],
      "getPSDEViewCodeName" : "PickupGridView",
      "getPSDEViewId" : "9e621b87ccefe716181da65b4036bb58",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEPICKUPGRIDVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "title" : "客户选择表格视图",
      "getTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZCUSTOMER.PICKUPGRIDVIEW"
      },
      "viewStyle" : "DEFAULT",
      "viewType" : "DEPICKUPGRIDVIEW",
      "xDataControlName" : "grid",
      "enableDP" : true,
      "enableExport" : true,
      "enableFilter" : true,
      "enableImport" : true,
      "enableRowEdit" : false,
      "enableSearch" : true,
      "expandSearchForm" : true,
      "pickupMode" : true,
      "rowEditDefault" : false,
      "modelid" : "0870b1a6221a37e2994f515dbe77509c",
      "modeltype" : "PSAPPDEVIEW"
    },
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
      "logicTag" : "pickupviewpanel",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_pickupviewpanel",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  } ],
  "getPSDEViewCodeName" : "PickupView",
  "getPSDEViewId" : "8a6744eeb5aff20caed66cb1dffdefdb",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "客户数据选择视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZCUSTOMER.PICKUPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPVIEW",
  "enableDP" : true,
  "showCaptionBar" : false,
  "modelid" : "f083dd992abed44bf15a9930b45c3895",
  "modeltype" : "PSAPPDEVIEW"
}